// MBOPC_eVC_DemoDlg.h : header file
//

#if !defined(AFX_MBOPC_EVC_DEMODLG_H__EA392A0B_0623_4E96_8446_F058315D8F84__INCLUDED_)
#define AFX_MBOPC_EVC_DEMODLG_H__EA392A0B_0623_4E96_8446_F058315D8F84__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CMBOPC_eVC_DemoDlg dialog

class CMBOPC_eVC_DemoDlg : public CDialog
{
// Construction
public:
	CMBOPC_eVC_DemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMBOPC_eVC_DemoDlg)
	enum { IDD = IDD_MBOPC_EVC_DEMO_DIALOG };
	int		m_MBGAAddr;
	int		m_MBGAVal;
	int		m_MBGDAddr;
	int		m_MBGDVal;
	int		m_MBSAAddr;
	int		m_MBSAVal;
	int		m_MBSDAddr;
	int		m_MBSDVal;
	int		m_UGAAddrSht;
	int		m_UGAValSht;
	int		m_UGDAddr;
	int		m_UGDVal;
	int		m_USAAddrSht;
	int		m_USAValSht;
	int		m_USDAddr;
	int		m_USDVal;
	int		m_GAAddr;
	int		m_GDAddr;
	int		m_SAAddr;
	int		m_SDAddr;
	int		m_SDVal;
	float	m_SAVal;
	float	m_GAVal;
	int		m_GDVal;
	int		m_UGAAddrFlt;
	int		m_UGAAddrStr;
	float	m_UGAValFlt;
	int		m_USAAddrFlt;
	int		m_USAAddrStr;
	float	m_USAValFlt;
	CString	m_USAValStr;
	CString	m_UGAValStr;
	int		m_UGAAddrLon;
	long	m_UGAValLon;
	int		m_USAAddrLon;
	long	m_USAValLon;
	int		m_GAAddrW;
	int		m_SAAddrW;
	UINT	m_SAValW;
	UINT	m_GAValW;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMBOPC_eVC_DemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMBOPC_eVC_DemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSdbt();
	afx_msg void OnGdbt();
	afx_msg void OnSabt();
	afx_msg void OnGabt();
	afx_msg void OnMbsdbt();
	afx_msg void OnMbgdbt();
	afx_msg void OnMbsabt();
	afx_msg void OnMbgabt();
	afx_msg void OnUsdbt();
	afx_msg void OnUgdbt();
	afx_msg void OnUSABTSht();
	afx_msg void OnUGABTSht();
	afx_msg void OnUSABTFlt();
	afx_msg void OnUGABTFlt();
	afx_msg void OnUSABTStr();
	afx_msg void OnUGABTStr();
	afx_msg void OnStartmbopc();
	afx_msg void OnStopmbopc();
	afx_msg void OnUSABTLon();
	afx_msg void OnUGABTLon();
	afx_msg void OnSabtw();
	afx_msg void OnGabtw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MBOPC_EVC_DEMODLG_H__EA392A0B_0623_4E96_8446_F058315D8F84__INCLUDED_)
